package com.ruoyi.project.cui.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * CUI问题整改跟踪清单对象 t_problems
 *
 * @author ruoyi
 * @date 2020-12-03
 */
public class TProblems extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 单元 */
    @Excel(name = "单元", dictType = "UNIT")
    private String unit;

    /** 管线号/设备位号 */
    @Excel(name = "管线号/设备位号")
    private String lineno;

    /** CUI问题描述 */
    @Excel(name = "CUI问题描述")
    private String cuiproblem;

    /** 初步原因分析 */
    @Excel(name = "初步原因分析")
    private String analysis;

    /** 整改措施 */
    @Excel(name = "整改措施")
    private String measures;

    /** 预付费用（元） */
    @Excel(name = "预付费用", readConverterExp = "元=")
    private Long plancost;

    /** 是否已完成整改 */
    @Excel(name = "是否已完成整改", dictType = "YES_NO")
    private String isfinish;

    /** 完成整改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成整改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishdate;

    /** 是否有相应措施 */
    @Excel(name = "是否有相应措施", dictType = "YES_NO_EN")
    private String ismeasure;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsible;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setLineno(String lineno)
    {
        this.lineno = lineno;
    }

    public String getLineno()
    {
        return lineno;
    }
    public void setCuiproblem(String cuiproblem)
    {
        this.cuiproblem = cuiproblem;
    }

    public String getCuiproblem()
    {
        return cuiproblem;
    }
    public void setAnalysis(String analysis)
    {
        this.analysis = analysis;
    }

    public String getAnalysis()
    {
        return analysis;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setPlancost(Long plancost)
    {
        this.plancost = plancost;
    }

    public Long getPlancost()
    {
        return plancost;
    }
    public void setIsfinish(String isfinish)
    {
        this.isfinish = isfinish;
    }

    public String getIsfinish()
    {
        return isfinish;
    }
    public void setFinishdate(Date finishdate)
    {
        this.finishdate = finishdate;
    }

    public Date getFinishdate()
    {
        return finishdate;
    }
    public void setIsmeasure(String ismeasure)
    {
        this.ismeasure = ismeasure;
    }

    public String getIsmeasure()
    {
        return ismeasure;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("unit", getUnit())
            .append("lineno", getLineno())
            .append("cuiproblem", getCuiproblem())
            .append("analysis", getAnalysis())
            .append("measures", getMeasures())
            .append("plancost", getPlancost())
            .append("isfinish", getIsfinish())
            .append("finishdate", getFinishdate())
            .append("ismeasure", getIsmeasure())
            .append("responsible", getResponsible())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
